Bug 834021 - ovirt-engine-backend: there is no validation on domain status when deleting snapshot
ovirt-engine-backend: there is no validation on domain status when deleting s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: 3.1.0
Assigned To: mkublin
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 11:40 EDT by Dafna Ron
Modified: 2016-02-10 11:31 EST (History)
12 users (show)

See Also:
Fixed In Version: si7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (645.22 KB, application/x-gzip)
2012-06-20 11:41 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-20 11:40:02 EDT
Description of problem:

in multiple domains we have no validation on domain status in backend and command is sent to vdsm. 
this may cause races which will leave orphen objects on the domain. 
please add validation on domain status for snapshots in backend. 

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create 2 domains
2. create vm with 2 disks on each of the domains and create snapshot
3. put domain in maintenance (not the master domain)
4. delete snapshot
  
Actual results:

delete snapshot will be sent to vdsm

Expected results:

we should validate domain status before sending command

Additional info: logs
Comment 1 Dafna Ron 2012-06-20 11:41:02 EDT
Created attachment 593255 [details]
logs
Comment 2 mkublin 2012-06-21 04:48:41 EDT
Actually u failed on canDoaction, but ttese validation was with sending request to vdsm
I changed an order from now a request to vdsm will be send at end.

http://gerrit.ovirt.org/#/c/5571/

Pushed
Comment 3 Dafna Ron 2012-06-25 10:35:23 EDT
verified on si7

Note You need to log in before you can comment on or make changes to this bug.